%!TEX root=../../../../thesis.tex
%!TEX file=content/fundamentals/kinematics/inverse-kinematics/standard.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsubsection{Standard Kinematics}\label{sec:fundamentals:inverse-kinematics:standard}

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{kinematics--standard--vector-loop}
  \includegraphics[%
      width=0.35\textheight,%
    ]{kinematics/standard/vector-loop}
  \tikzexternaldisable%
  \caption[%
    Kinematic loop of the standard inverse kinematics problem.
  ]{%
    Kinematic loop of the standard inverse kinematics problem with cable entry point~$\Ai$ at~$\ai$, platform pose~$\platpose = \vectset{ \platpos ; \platrot }$, and local platform anchor~$\Bi$ at~$\bi$ given in~$\coordsys{\symplatform}$.
  }%
  \label{fig:fundamentals:inverse-kinematics:standard:kinematic-loop}
\end{figure}

Like other parallel robotic manipulators term their linear or rotational actuator quantities joint space coordinates, cable lengths are usually referred to as joint space coordinates, too.
An absolute change of these joint coordinates results in a change of position or orientation of the platform, which is independent of the underlying cable coiling and guiding mechanisms.

The most simple model for the \gls{IKP} with highest degree of simplification can be found when postulating the joints be massless and perfectly straight lines between two points, one on the frame and one on the platform.
This model is indubitably the most widely accepted and understood model, as based on early works by~\citeauthor{Albus.1992} and is most generally referred to as the \emph{standard model}~\autocite{Albus.1992}.
Because the standard model assumes ideal cables \textIe without mass nor elongation, a very simple vector loop between both cable ends can be defined that can then be used to determine the actual cable length.
Referring to~\cref{fig:fundamentals:inverse-kinematics:standard:kinematic-loop}, defining the position of the cable entering the workspace as~$\frameanchor_{\cabindex}$ and the point on the platform it is attached to as~$\platanchor_{\cabindex}$, with a given pose~$\platpose$, the vector loop
%
\begin{align}
  \cabdirn_{\cabindex}
    & = \frameanchor_{\cabindex} - \parentheses{ \platpos + \platrot \, \platanchor_{\cabindex} } \,
    ,
    \label{eqn:fundamentals:inverse-kinematics:standard-vector-loop}
\end{align}
%
can be formulated, which states the direction of the cable as a vector from the platform to the frame.
To solve~\cref{eqn:fundamentals:inverse-kinematics:standard-vector-loop} for the desired cable length, the magnitude of vector $\cabdirn_{\cabindex}$ needs to be obtained through the~$\ell_{2}$-vector norm such that
%
\begin{align}
  \cablen_{\cabindex}
    & = \norm{ \cabdirn_{\cabindex} }
      = \norm{ \frameanchor_{\cabindex} - \parentheses{ \platpos + \platrot \, \platanchor_{\cabindex} } } \,
      .
      \label{eqn:fundamentals:inverse-kinematics:standard-cable-length}
\end{align}

Only in case of this standard kinematics formulation are unstrained cable lengths~$\cablens$ equal to the geometric distances~$\vect{d}$ between their proximal points~$\frameanchor_{\cabindex}$ and their distal points~$\platanchor_{\cabindex}$.

\amend[inline]{A cable-sagging index of cable unit density, span, and applied force/tension at the distal end}


